# Sablotron Guide and Reference

SablotCreateSituation | Functions

#### Summary

Creates a situation object handle.

#### Syntax

    int SablotCreateSituation(SablotSituation *sPtr);

Name | Type | Description
--- | --- | ---
`sPtr` | `SablotSituation*` | the result goes here

#### Description

This call creates a situation object. This object servers for several reasons like error processing, option settings etc. Most of API functions take the situation handle as their first parameter.

#### See Also

Groups | [ Functions ]
Entries | [ .Usage | SablotSituation ]

© 2002-2003 Ginger Alliance
revision 03-06-30
This page was generated by APIDOC